Skip to main content
GET
/
v1
/
usage
/
machines
/
storage
List machine storage usage breakdown
curl --request GET \
  --url https://dcs.dedaluslabs.ai/v1/usage/machines/storage \
  --header 'x-api-key: <api-key>'
{ "period_end": "2023-11-07T05:31:56Z", "period_start": "2023-11-07T05:31:56Z", "rows": [ { "bucket_end": "2023-11-07T05:31:56Z", "bucket_start": "2023-11-07T05:31:56Z", "logical_storage_bytes": 123, "machine_id": "<string>", "org_metering_bucket_id": "<string>", "storage_mib_seconds": 123, "stripe_storage_identifier": "<string>", "latest_stripe_emitted_at": "2023-11-07T05:31:56Z" } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Query Parameters

period_start
string

Usage period start (YYYY-MM-DD). Defaults to first of current month.

period_end
string

Last UTC usage date to include (YYYY-MM-DD). Defaults to current time.

machine_id
string

Optional machine ID filter.

Response

OK

period_end
string<date-time>
required

Exclusive usage period end.

period_start
string<date-time>
required

Inclusive usage period start.

rows
object[] | null
required

Machine-level storage usage breakdown rows.

Last modified on May 29, 2026